﻿using System;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;
using System.Web.UI;

namespace CSSamples.Samples {
    public partial class UsingMasterPage : System.Web.UI.Page {
        protected void Page_Load(object sender, EventArgs e) {
            mapControl.CurrentExtent = new RectangleShape(-112.8, 41.7, -111.6, 40.7);
            mapControl.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
            mapControl.MapUnit = GeographyUnit.DecimalDegree;
            string version = Map.Version;
            WorldMapKitWmsWebOverlay overlay = new WorldMapKitWmsWebOverlay();
            mapControl.CustomOverlays.Add(overlay);
        }

        protected void Timer1_Tick(object sender, EventArgs e) {
            string str = "updateVehicles()";
            ScriptManager.RegisterStartupScript(this, this.GetType(), "UpdateVehicles", str, true);
        }
    }
}
